Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class FindReplaceUtility

    java.lang.Object
      groovy.ui.text.FindReplaceUtility

    public final class FindReplaceUtility

Authors:
  Evan "Hippy" Slatis

Field Summary
`static java.lang.String` | `CLOSE_ACTION_COMMAND`
`static javax.swing.Action` | `FIND_ACTION`
`static java.lang.String` | `FIND_ACTION_COMMAND`
`static java.lang.String` | `REPLACE_ACTION_COMMAND`
`static java.lang.String` | `REPLACE_ALL_ACTION_COMMAND`

Method Summary
`static void` | `addTextListener(java.awt.event.TextListener tl)`
`static void` | `dispose()`
`static java.lang.String` | `getLastAction()` @return the last action
`static int` | `getReplacementCount()` @return the replacement count
`static java.lang.String` | `getSearchText()` @return the search text
`static void` | `registerTextComponent(javax.swing.text.JTextComponent textComponent)` @param textComponent the text component to listen to
`static void` | `removeTextListener(java.awt.event.TextListener tl)`
`static void` | `showDialog()`
`static void` | `showDialog(boolean isReplace)` @param isReplace show a replace dialog rather than a find dialog if true
`static void` | `unregisterTextComponent(javax.swing.text.JTextComponent textComponent)` @param textComponent the text component to stop listening to

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CLOSE_ACTION_COMMAND

    public static final java.lang.String CLOSE_ACTION_COMMAND

### FIND_ACTION

    public static final javax.swing.Action FIND_ACTION

### FIND_ACTION_COMMAND

    public static final java.lang.String FIND_ACTION_COMMAND

### REPLACE_ACTION_COMMAND

    public static final java.lang.String REPLACE_ACTION_COMMAND

### REPLACE_ALL_ACTION_COMMAND

    public static final java.lang.String REPLACE_ALL_ACTION_COMMAND

Method Detail

### addTextListener

    public static void addTextListener(java.awt.event.TextListener tl)

### dispose

    public static void dispose()

### getLastAction

    public static java.lang.String getLastAction()

  Returns:
    the last action

### getReplacementCount

    public static int getReplacementCount()

  Returns:
    the replacement count

### getSearchText

    public static java.lang.String getSearchText()

  Returns:
    the search text

### registerTextComponent

    public static void registerTextComponent(javax.swing.text.JTextComponent textComponent)

  Parameters:
    `textComponent` - the text component to listen to

### removeTextListener

    public static void removeTextListener(java.awt.event.TextListener tl)

### showDialog

    public static void showDialog()

### showDialog

    public static void showDialog(boolean isReplace)

  Parameters:
    `isReplace` - show a replace dialog rather than a find dialog if true

### unregisterTextComponent

    public static void unregisterTextComponent(javax.swing.text.JTextComponent textComponent)

  Parameters:
    `textComponent` - the text component to stop listening to

Groovy Documentation